> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Asset Tags

> Create new tags. 
409 Conflict is logged as warn if the name matches the name of a tag that already exists in a given org uid.




## OpenAPI

````yaml /tagging-openapi.yaml post /v1.0/organizations/{orgUid}/tags
openapi: 3.0.3
info:
  title: Tagging
  description: RESTful API for tagging assets and other entities.
  version: 0.1.0
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/tagging
    description: Commercial
  - url: https://client.synack.us/api/tagging
    description: FedRAMP (Medium)
security: []
tags:
  - name: status
    description: Various ping and health endpoints
  - name: Tags
    description: Tagging operations
paths:
  /v1.0/organizations/{orgUid}/tags:
    parameters:
      - $ref: '#/components/parameters/OrganizationUIDPath'
    post:
      tags:
        - Tags
      description: >
        Create new tags. 

        409 Conflict is logged as warn if the name matches the name of a tag
        that already exists in a given org uid.
      operationId: postTags
      requestBody:
        description: Tags to create.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewTags'
      responses:
        '201':
          $ref: '#/components/responses/PaginatedTagsResponse'
        '400':
          $ref: '#/components/responses/400BadRequest'
        '401':
          $ref: '#/components/responses/401Unauthorized'
        '403':
          $ref: '#/components/responses/403Forbidden'
        '404':
          $ref: '#/components/responses/404NotFound'
        '413':
          $ref: '#/components/responses/413RequestEntityTooLarge'
        '422':
          $ref: '#/components/responses/422EntityNotProcessable'
        '500':
          $ref: '#/components/responses/500InternalServerError'
        '503':
          $ref: '#/components/responses/503ServiceUnavailable'
      security:
        - OAuth2:
            - tag_gw
            - tag_gr
            - tag_ow
            - tag_or
            - tag_lw
            - tag_lr
            - asset_gw
            - asset_gr
            - asset_boss_ow
            - asset_client_ow
            - asset_or
            - asset_boss_lw
            - asset_client_lw
            - asset_lr
components:
  parameters:
    OrganizationUIDPath:
      name: orgUid
      in: path
      schema:
        $ref: '#/components/schemas/OrgUID'
      required: true
      description: Unique identifier for an organization group.
  schemas:
    NewTags:
      type: object
      properties:
        tags:
          type: array
          items:
            $ref: '#/components/schemas/NewTag'
    OrgUID:
      type: string
      pattern: ^[0-9a-z]{1,50}
      description: Unique identifier for an organization.
    NewTag:
      allOf:
        - type: object
          required:
            - name
          properties:
            name:
              $ref: '#/components/schemas/TagName'
            entities:
              $ref: '#/components/schemas/Entities'
    PageOfTags:
      type: object
      properties:
        tags:
          $ref: '#/components/schemas/Tags'
    ErrorResponse:
      type: object
      description: Error response
      properties:
        id:
          type: string
          readOnly: true
          description: X-Request-Id
        error:
          type: string
          description: Message detailing the problem.
          readOnly: true
    ProblemDetails:
      type: object
      description: >-
        See [RFC 7807: Problem Details for HTTP
        APIs](https://tools.ietf.org/html/rfc7807)
      properties:
        type:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        status:
          type: integer
          format: int32
          minimum: 100
          maximum: 511
          description: HTTP Status code.
          readOnly: true
        detail:
          type: string
          description: Message detailing the problem.
          readOnly: true
        instance:
          type: string
          description: generated problem instance number to correlate with logs
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
        failedValidations:
          type: array
          description: Array of indexed failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/IndexedFailedValidations'
        maxBatchSize:
          type: integer
          description: Maximum processable batch size.
          readOnly: true
        batchSize:
          type: integer
          description: Batch size sent when batch is too large.
          readOnly: true
    TagName:
      type: string
      description: User-supplied name for this tag.
    Entities:
      type: array
      items:
        $ref: '#/components/schemas/Entity'
    Tags:
      type: array
      items:
        $ref: '#/components/schemas/Tag'
    FailedValidation:
      type: object
      required:
        - message
      properties:
        property:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
    IndexedFailedValidations:
      type: object
      properties:
        index:
          type: integer
          description: >-
            Zero-based index indicating the which item in request containing an
            array of items has failed validation.
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
    Entity:
      allOf:
        - type: object
          required:
            - uid
            - entityType
          properties:
            uid:
              $ref: '#/components/schemas/EntityUID'
            entityType:
              $ref: '#/components/schemas/EntityType'
    Tag:
      allOf:
        - type: object
          required:
            - uid
            - name
            - orgUid
          properties:
            uid:
              $ref: '#/components/schemas/TagUID'
            name:
              $ref: '#/components/schemas/TagName'
            orgUid:
              $ref: '#/components/schemas/OrgUID'
            entities:
              $ref: '#/components/schemas/Entities'
    EntityUID:
      type: string
      pattern: ^[0-9a-f]{12}
      description: Unique identifier for an entity.
    EntityType:
      type: string
      enum:
        - asset
        - assessment
        - seed
        - seedGroup
        - exploitableVulnerability
        - suspectedVulnerability
      description: Entity type
    TagUID:
      type: string
      pattern: ^[0-9a-f]{12}
      description: Unique identifier for a tag.
  responses:
    PaginatedTagsResponse:
      description: Paginated tags.
      headers:
        Pagination-Limit:
          $ref: '#/components/headers/PaginationLimit'
        Pagination-Current-Page:
          $ref: '#/components/headers/PaginationCurrentPage'
        Pagination-Total-Pages:
          $ref: '#/components/headers/PaginationTotalPages'
        Pagination-Total-Count:
          $ref: '#/components/headers/PaginationTotalCount'
        Link:
          $ref: '#/components/headers/Link'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PageOfTags'
    400BadRequest:
      description: Bad Request
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    401Unauthorized:
      description: Unauthorized.
    403Forbidden:
      description: Forbidden
    404NotFound:
      description: Not found.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    413RequestEntityTooLarge:
      description: >-
        Returned generally when the size of the request body is too large to
        process, or specifically when the request contains too many items,
        typically in a bulk API operation.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    422EntityNotProcessable:
      description: Entity Not Processable
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    500InternalServerError:
      description: Internal Server Error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    503ServiceUnavailable:
      description: Service Unavailable.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  headers:
    PaginationLimit:
      description: Maximum number of items returned in a paginated response.
      schema:
        type: integer
        format: int32
        minimum: 1
    PaginationCurrentPage:
      description: Current page in a paginated response.
      schema:
        type: integer
        format: int32
        minimum: 1
    PaginationTotalPages:
      description: Total number of pages in a paginated response.
      schema:
        type: integer
        format: int32
        minimum: 1
    PaginationTotalCount:
      description: Total number of items in all pages of a paginated response.
      schema:
        format: int32
        minimum: 1
    Link:
      description: Standard link header.
      schema:
        type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: login.synack.com
          scopes:
            tag_or: Grants organization-level to read tags.
            tag_ow: Grants organization-level to create or modify tags.
            tag_gr: Grants global-level to read tags.
            tag_gw: Grants global-level to create or modify tags.

````